Search customers

This request searches for customers that match specified criteria.

   Click here to learn more about this request

Search queries can be used to locate customer information that match specific criteria. Note the following when using this request:

This request uses OpenSearch to filter results and returns only the customers who match the search criteria.

The search example we've set up here returns a specific customer, but searches can be much more broad.

Many users search and filter customers by Social Security Number. Do so by using the ssn field which is nested within the Customer entity.

For an example of how searching works within the UI, take a look at our Customer Manager article.

Database

For information regarding Customer database tables, see the following articles:

Database – Customer Main Table (customer_entity)

Database – Customer Status Entity (customer_status_entity)

{
     "query": {
          "bool": {
               "must": {
                    "match": {
                         "firstName": "API"
                    }
               },
               "filter": {
                    "range": {
                         "birthDate": {
                              "gte": "1961-11-01",
                              "lte": "1961-11-30"
                         }
                    }
               }
          }
     }
}
{ 
   "query":{ 
      "bool":{ 
         "must":[ 
            { 
               "bool":{ 
                  "should":[ 
                     { 
                        "query_string":{ 
                           "fields":[
                              "ssn"
                           ],
                           "query":  "151651566"
                        }
                     }
                  ]
               }
            }
         ]
      }
   }
}
Query Params
int32

This defines the offset to start returning results with.
> For example, $start=0 starts with the 1st result.

int32

This defines the number of results to return.
> For example, $top=25 returns the first 25 results.

string

This sorts the results based on the specified variable.
> For example, $orderby=id asc sorts the results by their ID in the software in ascending order.

Body Params
query
object

This is the actual body of the query.

Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
Credentials
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json